<?php
use WHMCS\View\Menu\Item as MenuItem;

// Main Navigation Menu
add_hook('ClientAreaPrimaryNavbar', 1, function (MenuItem $primaryNavbar)
{
    $primaryNavbar->addChild('Blog')
        ->setUri('blog.php')
        ->setOrder(70);
});

// Get Filename
$filename = APP::getCurrentFileName();

// If Blog page add js files and Copyright
if ($filename=="blog")
{
	function socialblog_custom_js_hook($vars) {
		// Load Globals
		global $db, $CFG;
		$url = $CFG["siteurl"];
		$head_js_return = '';
		$head_js_return = '<link rel="stylesheet" type="text/css" href="'.$url.'/socialblog/lightbox/lightbox.css" />
		<link rel="stylesheet" href="'.$url.'/socialblog/js/jquery-ui.css">	   
		<link href="'.$url.'/socialblog/social/social-likes_birman.css" rel="stylesheet">
		<script src="'.$url.'/socialblog/js/jquery-ui.min.js"></script>';
		return $head_js_return;
	}
	// JS Hook
	add_hook("ClientAreaHeadOutput",1,"socialblog_custom_js_hook");
}

// If Blog and View Blog page add FB meta
if ($filename=="blog" && $_GET['do']=="article")
{
	function socialblog_custom_meta_hook($vars) {
		// Load Globals
		global $db, $CFG;
		// Get Article Id
		$id = $_REQUEST["id"];
		// Find Article
		$sql_hook_article = mysqli_query($db,"SELECT * FROM " . TABLE_PREFIX . "articles WHERE id=$id ORDER BY id ASC LIMIT 1");
		$hook_article = mysqli_fetch_array($sql_hook_article);
		$fb_app_id = $CFG["fb_app_id"];
		$fb_url = $CFG["siteurl"].'/blog.php?do=article&amp;id='.$id;
		$fb_title = html_entity_decode($hook_article["title"]);
		$fb_desc = trim_text(htmlspecialchars_decode(html_entity_decode($hook_article["bodytext"], ENT_QUOTES, 'UTF-8')),100);
		$fb_photo = $CFG["siteurl"].'/socialblog/photos/'.$hook_article["photo"];
		$imagedata = getimagesize('socialblog/photos/'.$hook_article["photo"]);
		$fb_photo_width = $imagedata[0];
		$fb_photo_height = $imagedata[1];
		$head_meta_return = '';
		$head_meta_return = '<meta property="fb:app_id" content="'.$fb_app_id.'">
		<meta property="og:url" content="'.$fb_url.'" /> 
		<meta property="og:title" content="'.$fb_title.'" /> 
		<meta property="og:description" content="'.$fb_desc.'" />
		<meta property="og:image" content="'.$fb_photo.'" />
		<meta property="og:image:width" content="'.$fb_photo_width.'" />
		<meta property="og:image:height" content="'.$fb_photo_height.'" />';
		return $head_meta_return;
	}

	add_hook("ClientAreaHeadOutput",1,"socialblog_custom_meta_hook");
}
