{if $profile}
	<div class="panel panel-default panel-accent-asbestos">
		<div class="panel-heading">
			<h3 class="panel-title"><i class="fa fa-address-card-o" aria-hidden="true" style="padding-right:10px;"></i>{$BLOG_LANG.about_author}</h3>
		</div>
		<div class="card hovercard">
			<div class="cardheader" style="background: url('{$CFG.siteurl}/socialblog/images/profilebg.png');">
			</div>
			<div class="avatar">
				<img alt="" src="{$profile.photo}">
			</div>
			<div class="info">
				<div class="title">
					<a href="{$profile.link}">{$profile.authorname}</a>
				</div>
				<div class="desc">{$profile.usertitle}</div>
				<div class="desc"><i class="fa fa-map-marker" aria-hidden="true" style="padding-right:8px;"></i>{$profile.location}</div>
				{if $profile.articles==1}
					<div class="desc"><b>{$profile.articles}</b> {$BLOG_LANG.article} <a href="{$profile.link}"><i class="fa fa-external-link" aria-hidden="true"></i></a></div>
				{else}
					<div class="desc"><b>{$profile.articles}</b> {$BLOG_LANG.articles} <a href="{$profile.link}"><i class="fa fa-external-link" aria-hidden="true"></i></a></div>
				{/if}
			</div>
			<div class="bottom">
				<a target="_blank" class="btn btn-primary btn-sm" href="{$profile.facebook}"><i class="fa fa-facebook"></i></a>
				<a target="_blank" class="btn btn-danger btn-sm" href="{$profile.google}"><i class="fa fa-google-plus"></i></a>
				<a target="_blank" class="btn btn-primary btn-twitter btn-sm" href="{$profile.twitter}"><i class="fa fa-twitter"></i></a>
			</div>
		</div>
	</div>
{/if}
<a target="_blank" href="{$CFG.siteurl}/blog.php?do=rss" type="button" class="btn btn-default btn-block" style="margin-bottom:15px;"><i class="fa fa-rss" style="padding-right:10px;"></i>{$BLOG_LANG.get_rss}</a>
<div class="panel panel-default panel-accent-asbestos">
	<div class="panel-heading">
		<h3 class="panel-title"><i class="fa fa-sitemap" aria-hidden="true" style="padding-right:10px;"></i>{$BLOG_LANG.categories}</h3>
	</div>
	{$category_menu_sidebar}
</div>
<form name="search" action="{$CFG.siteurl}/blog.php?do=search" autocomplete="off" method="post">
<div class="input-group" style="margin-top:15px; margin-bottom:20px;">
	<input type="text" class="form-control" id="keyword" name="keyword" placeholder="{$BLOG_LANG.search_info}">
	<span class="input-group-btn">
		<button class="btn btn-default" type="submit">{$BLOG_LANG.search}</button>
	</span>
</div>
</form>
{if $article.other==1}
	<div class="panel panel-default panel-accent-asbestos">
		<div class="panel-heading">
			<h3 class="panel-title"><i class="fa fa-clone" aria-hidden="true" style="padding-right:10px;"></i>{$BLOG_LANG.other_by} {$article.authorname}</h3>
		</div>
		<div class="list-group">
			{foreach from=$others item="other"}
				<a href="{$other.link}" class="list-group-item" style="margin:5px !important; padding:0px !important;">
					{if $other.photo<>''}
						<img class="img-responsive" border="0" src="{$CFG.siteurl}/socialblog/photos/thumbs/{$other.photo}" alt="" style="margin-bottom:5px;">
					{/if}
					<h3 class="panel-title" style="font-size:14px !important;">
						{$other.title}
						{if $other.video==1}
							<span style="float:right;"><i class="fa fa-video-camera" aria-hidden="true"></i></span>
						{/if}
					</h3>
					<h3 class="panel-title" style="font-size:12px !important; padding-top:0px !important; font-weight:normal !important;">
						&nbsp;{$BLOG_LANG.in} {$other.category_name}
						<span style="float:right;"><i class="fa fa-clock-o" aria-hidden="true" style="padding-right:5px;"></i>{$other.postdate}</span>
					</h3>
				</a>
			{/foreach}	
		</div>
	</div>
{/if}
{if $show_popular==1}
	<div class="panel panel-default panel-accent-asbestos">
		<div class="panel-heading">
			<h3 class="panel-title"><i class="fa fa-trophy" aria-hidden="true" style="padding-right:10px;"></i>{$BLOG_LANG.most_popular}</h3>
		</div>
		<div class="list-group">
			{foreach from=$populars item="popular"}
				<a href="{$popular.link}" class="list-group-item" style="margin:5px !important; padding:0px !important;">
					{if $popular.photo<>''}
						<img class="img-responsive" border="0" src="{$CFG.siteurl}/socialblog/photos/thumbs/{$popular.photo}" alt="" style="margin-bottom:5px;">
					{/if}
					<h3 class="panel-title" style="font-size:14px !important;">
						{$popular.title}
						{if $popular.video==1}
							<span style="float:right;"><i class="fa fa-video-camera" aria-hidden="true"></i></span>
						{/if}
					</h3>
					<h3 class="panel-title" style="font-size:12px !important; padding-top:5px !important; font-weight:normal !important;">
						{$BLOG_LANG.by} {$popular.author_name}
						<span style="float:right;">{$popular.postdate}</span>
					</h3>
					<h3 class="panel-title" style="font-size:12px !important; padding-top:0px !important; padding-bottom:5px !important; font-weight:normal !important;">
						{$BLOG_LANG.in} {$popular.category_name}
						<span style="float:right;">{$BLOG_LANG.read} <b>{$popular.views}</b> {$BLOG_LANG.times}</span>
					</h3>
				</a>
			{/foreach}	
		</div>
	</div>
{/if}
{if $article.page==1}
	<link href="{$CFG.siteurl}/socialblog/social/social-likes_birman.css" rel="stylesheet">
	<div class="panel panel-default panel-accent-asbestos">
		<div class="panel-heading">
			<h3 class="panel-title"><i class="fa fa-share-alt" aria-hidden="true" style="padding-right:10px;"></i>{$BLOG_LANG.share_article}</h3>
		</div>
		<div class="social-likes" data-counters="no" style="width:100%; text-align:center; padding-bottom:10px; margin-top:0px !important;">
			<div class="facebook" title="Share link on Facebook">Facebook</div>
			<div class="twitter" title="Share link on Twitter">Twitter</div>
			<div class="plusone" title="Share link on Google+">Google+</div>
		</div>
	</div>
	{literal}
	<script src="{/literal}{$CFG.siteurl}{literal}/socialblog/social/social-likes.min.js"></script>
	<script>	
	jQuery(window).load(function(){
		jQuery(".social-share").sti({
			selector:".social-share",
			style:"flat",
			orientation:"horizontal",
			is_mobile: false 
			})})
	</script>
	{/literal}
{/if}